## org.apache.tools.ant.util
Class ConcatFileInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.apache.tools.ant.util.ConcatFileInputStream

public class ConcatFileInputStream
extends java.io.InputStream

Special `InputStream` that will concatenate the contents of an array of files.

Constructor Summary
`ConcatFileInputStream(java.io.File[] file)` Construct a new `ConcatFileInputStream` with the specified `File[]`.

Method Summary
`void` `close()`
`void` `log(java.lang.String message, int loglevel)` Log a message with the specified logging level.
`int` `read()`
`void` `setManagingTask(Task task)` Set a managing `Task` for this `ConcatFileInputStream`.

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatFileInputStream

    public ConcatFileInputStream(java.io.File[] file)
                          throws java.io.IOException

  Construct a new `ConcatFileInputStream` with the specified `File[]`.

Parameters:
  `file` - `File[]`.
Throws:
  ``IOException`` - if I/O errors occur.
  `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### setManagingTask

    public void setManagingTask(Task task)

  Set a managing `Task` for this `ConcatFileInputStream`.

  Parameters:
    `task` - the managing `Task`.

### log

    public void log(java.lang.String message,
                    int loglevel)

  Log a message with the specified logging level.

  Parameters:
    `message` - the `String` message.
    `loglevel` - the `int` logging level.

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.